condenser_api.get_account_history
Purpose
주어진 계정의 모든 오퍼레이션 기록을 반환합니다. 파라미터: account:string; start:int. 예: -1은 역방향 기록, 그 외에는 임의의 양수; limit:int 최대 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | 기록에서 가장 최근 항목부터 steemit 계정을 조회하여, 최대 1,000개 결과를 얻습니다. |
"alice" | -1 | 10000 | 기록에서 가장 오래된 항목부터 alice 계정을 조회하여, 최대 10,000개 결과를 얻습니다. |
함께 보기: account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'